Bug Hunting Session
Bug 79983 - Calc sort lists aren't case sensitive
Summary: Calc sort lists aren't case sensitive
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Sahasranaman M S
URL:
Whiteboard: target:5.1.0 target:6.1.0
Keywords:
Depends on:
Blocks: 79984
  Show dependency treegraph
 
Reported: 2014-06-13 13:47 UTC by Mikeyy - L10n HR
Modified: 2018-05-06 05:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test with LibreOffice 3.3.0.4 (125.03 KB, image/png)
2014-10-12 09:43 UTC, Mikeyy - L10n HR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2014-06-13 13:47:43 UTC
Option is question is:
Tools / Options / LibreOffice Calc / Sort Lists

For croatian locale there are pre-defined sort lists and one of those is "short weekdays":
pon, uto, sri, čet, pet, sub, ned

If I:
1. Add custom sort list: PON, UTO, SRI, ČET, PET, SUB, NED
2. Enter into A1 cell: PON
3. Grab A1 cell by bottom right corner and pull in to A7.

I will get this result:

PON
uto
sri
čet
pet
sub
ned

It always uses first predefined sort list.
Comment 1 Jean-Baptiste Faure 2014-10-11 20:14:02 UTC
Nobody confirmed this bug report independently. Set status back to UNCONFIRMED.

Not sure that it is a bug. If sort lists were case sensitive you would have to create sort lists for each combination of maj/min.

Best regards. JBF
Comment 2 Urmas 2014-10-12 04:03:57 UTC
It's a bug, as Excel supports lower-, title- and uppercase for custom lists.
Comment 3 GerardF 2014-10-12 08:40:55 UTC
Confirmed that this is a bug.
Old version of LO and OOo allows both lists of days in Uppercase and lowercase.

Can't remember when this change happened...
Comment 4 Mikeyy - L10n HR 2014-10-12 09:29:47 UTC
Should bug importance be changed from "enhancement" back to "normal" then, and maybe tag "regression" added?

Is there a download page with old windows portable versions available?
Would like to test, but don't want to fully install old versions.
Comment 5 Mikeyy - L10n HR 2014-10-12 09:43:09 UTC
Created attachment 107732 [details]
Test with LibreOffice 3.3.0.4

Managed to find LibreOffice 3.3.0.4 portable version for windows.
As far as I can tell, this version didn't support case sensitive sort lists also.

Check picture.

And to answer my own question, arhive with old versions, even portable ones:
http://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 6 Urmas 2014-10-12 14:23:05 UTC
Any divergence from Excel functionality is a serious bug, not an 'enhancement'.
Comment 7 Commit Notification 2015-11-05 20:38:14 UTC
Sahas committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef6ddb36751f917cd4ddab4a7fc609d5cf212b1b

tdf#79983 - Fix to make calc sort lists case sensitive

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-11-05 20:57:36 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7aba9dcf13ac464acfcfe3cba7b2e5918790ce0e

a vector is unnecessary here, tdf#79983 follow-up

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Mikeyy - L10n HR 2015-11-10 06:12:15 UTC
Thank you, seams fixed!

Eike, can you please take a look at blocker bug and point me to whom I can send new default sort lists for my locale?
Comment 10 Eike Rathke 2015-11-10 17:51:44 UTC
1. we don't have blocker bugs, you mean blocked bug ;-)
2. no need to hijack this bug, putting me on Cc of the other bug is sufficient
Comment 11 Commit Notification 2018-05-06 05:34:26 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b75fde430a01fc165e69ccf437fbc262fcfc1926

uitest for bug tdf#79983

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.